{
  "orderpart": {
    "_parent": {
      "type": "info"
    },
    "properties": {
      "id": {
        "type": "long"
      },
      "idOrder": {
        "type": "long"
      },
      "idPart": {
        "type": "long"
      },
      "partName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "partSize": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "partSizeDesc": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "partSizeWidth": {
        "type": "double"
      },
      "partSizeHeight": {
        "type": "double"
      },
      "partSizeLength": {
        "type": "double"
      },
      "bloodValue": {
        "type": "double"
      },
      "idPaperType": {
        "type": "long"
      },
      "paperTypeName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type":  "keyword"
          }
        }
      },
      "paperName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "idPaperQuoteInfo": {
        "type": "long"
      },
      "quotePaperName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "faceCount": {
        "type": "integer"
      },
      "pageQty": {
        "type": "integer"
      },
      "draftCount": {
        "type": "integer"
      },
      "jointQty": {
        "type": "integer"
      },
      "jointPageSort": {
        "type": "text",
        "index": "not_analyzed"
      },
      "partQty": {
        "type": "double"
      },
      "paperGram": {
        "type": "integer"
      },
      "originFile": {
        "type": "text",
        "index": "not_analyzed"
      },
      "finalFile": {
        "type": "text",
        "index": "not_analyzed"
      },
      "pasteUpFileObverse": {
        "type": "text",
        "index": "not_analyzed"
      },
      "pasteUpFileObversePageIndex": {
        "type": "integer"
      },
      "pasteUpFileReverse": {
        "type": "text",
        "index": "not_analyzed"
      },
      "pasteUpFileReversePageIndex": {
        "type": "integer"
      },
      "pasteUpFileDpiX": {
        "type": "integer"
      },
      "pasteUpFileDpiY": {
        "type": "integer"
      },
      "pasteUpFileStartPageIndex": {
        "type": "integer"
      },
      "pasteUpFileEndPageIndex": {
        "type": "integer"
      },
      "thumbFileObverse": {
        "type": "text",
        "index": "not_analyzed"
      },
      "thumbFileReverse": {
        "type": "text",
        "index": "not_analyzed"
      },
      "previewFileObverse": {
        "type": "text",
        "index": "not_analyzed"
      },
      "previewFileReverse": {
        "type": "text",
        "index": "not_analyzed"
      },
      "partIndex": {
        "type": "integer"
      },
      "partColorObverse": {
        "type": "long"
      },
      "partColorReverse": {
        "type": "long"
      },
      "fileType": {
        "type": "text",
        "index": "not_analyzed"
      },
      "allProcessStr": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "fuMoFlag": {
        "type": "integer"
      },
      "moQieFlag": {
        "type": "integer"
      },
      "moduleCount": {
        "type": "integer"
      },
      "partSaleQty": {
        "type": "double"
      },
      "specialPaperFlag": {
        "type": "integer"
      },
      "qtyEnoughFlag": {
        "type": "integer"
      },
      "partDesc": {
        "type": "text",
        "index": "not_analyzed"
      },
      "mainFlag": {
        "type": "integer"
      },
      "partColour": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "holdSize": {
        "type": "integer"
      },
      "bookStyle": {
        "type": "integer"
      },
      "cupSize": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "productPartName": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "orderCode": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "psCount": {
        "type": "long"
      },
      "actPaperCount": {
        "type": "integer"
      },
      "machineSize": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "machineSplitCount": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "printName": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "idPrintMachine": {
        "type": "integer"
      },
      "printMachineName": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "composeStatus": {
        "type": "integer"
      },
      "idProduct": {
        "type": "long"
      },
      "lockFlag": {
        "type": "integer"
      },
      "lockMan": {
        "type": "text",
        "index": "not_analyzed"
      },
      "idLockMan": {
        "type": "long"
      },
      "pdfMakeKind": {
        "type": "integer"
      },
      "idPartParameterItem": {
        "type": "long"
      },
      "partFieldStr1": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "partFieldStr2": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "partFieldStr3": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "partFieldStr4": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "partFieldStr5": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "partFieldStr6": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "partFieldStr7": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "partFieldStr8": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "partFieldStr9": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "partFieldStr10": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "partFieldInt1": {
        "type": "long"
      },
      "partFieldInt2": {
        "type": "long"
      },
      "partFieldInt3": {
        "type": "long"
      },
      "partFieldInt4": {
        "type": "long"
      },
      "partFieldInt5": {
        "type": "long"
      },
      "partFieldInt6": {
        "type": "long"
      },
      "partFieldInt7": {
        "type": "long"
      },
      "partFieldInt8": {
        "type": "long"
      },
      "partFieldInt9": {
        "type": "long"
      },
      "partFieldInt10": {
        "type": "long"
      }
    }
  }
}
